{***************************************************************

		Unit Name: EditOnTime

		Author   : Robert Wachtel
							 rwachtel@gmx.de
							 http://www.mpscologne.de

		History  :

		Written and tested in Delphi 5

		Should work with every Delphi version 3.x and above.

		Installing:
		===========

			In the menu bar open COMPONENTS and select INSTALL COMPONENTS.
			Then install this unit with the OK button.

		Properties:
		===========

			Active
				set to TRUE if you want the component to be active (what else ;-)

			Name
				the name

			Tag
				the tag

		Tip:
		====

		Miscellaneous:
		==============

		This Component is FreeWare.

		If you have any problems or suggestions please feel free
			to contact me.

		If you improve or change the code, please be so kind to send me a copy.

   Credits:
   ========

   Thanks to
			Bea for all the love
			Simon Reinhardt for his DelphiFAQ (http://www.picsoft.de)
			Lloyd Linklater for his Delphi Notes Help File
			Sven Eisenkraemer for a lot of useful hints in programming Delphi
			everyone in news://de.comp.lang.delphi.* for being a great community

****************************************************************}

unit EditOnTime;

interface

uses
	 Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls;

type
	TEditOnTime = class(TEdit);
	private
		FInterval: integer;
		FTimer: TTimer;
	 protected
	 public
		constructor Create(AOwner: TComponent); override;
		destructor Destroy; override;
	 published
		property Interval: integer read FInterval write SetInterval;
	 end;

procedure Register;

implementation

//******************* RegisterComponent *************************
procedure Register;
begin
	 RegisterComponents('MPS', [TEditOnTime]);
end;

//******************* TEditOnTime.SetInterval *************************
procedure TEditOnTime.SetInterval(Interval: integer);
begin
	FInterval := Interval;
	if Assigned(FTimer) then
		FTimer.Interval := FInterval;
end;

//******************* TEditOnTime.Create *************************
constructor TEditOnTime.Create(AOwner: TComponent);
begin
	inherited Create;
	if not (csDesigning in ComponentState) then
	try
		FTimer := TTimer.Create(self);
		FTimer.Enabled := false;
		FTimer.Interval := FInterval;
	except
		FreeAndNil(FTimer);
	end;
end;

//******************* TEditOnTime.Destroy *************************
destructor TEditOnTime.Destroy;
begin
	if Assigned(FTimer) then
		FreeAndNil(FTimer);
	inherited Destroy;
end;

end.
